MyGUI: MyGUI::PolygonalSkin Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
MyGUI::PolygonalSkin Class Reference

`#include <MyGUI_PolygonalSkin.h>`

Inheritance diagram for MyGUI::PolygonalSkin:
[legend]

## Public Types
typedef RTTIBase | Base
typedef PolygonalSkin | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| PolygonalSkin ()
void | setPoints (const std::vector< FloatPoint > &_points)
void | setWidth (float _width)
void | setStroke (size_t _value)
void | setAlpha (float _alpha) override
void | setVisible (bool _visible) override
void | setStateData (IStateInfo *_data) override
void | createDrawItem (ITexture *_texture, ILayerNode *_node) override
void | destroyDrawItem () override
void | doRender () override
void | _updateView () override
void | _correctView () override
void | _setAlign (const IntSize &_oldsize) override
void | _setUVSet (const FloatRect &_rect) override
void | _setColour (const Colour &_value) override
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type>
bool | isType () const
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *, ITexture *, size_t)
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Member Functions
void | _rebuildGeometry ()
FloatPoint | _getPerpendicular (const FloatPoint &_point1, const FloatPoint &_point2) const
FloatPoint | _getMiddleLine (const FloatPoint &_point1, const FloatPoint &_point2, const FloatPoint &_point3) const
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Additional Inherited Members
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

Definition at line 19 of file MyGUI_PolygonalSkin.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::PolygonalSkin::Base

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ RTTIBase

typedef PolygonalSkin MyGUI::PolygonalSkin::RTTIBase

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## Constructor & Destructor Documentation

## ◆ PolygonalSkin()

MyGUI::PolygonalSkin::PolygonalSkin | ( |  | ) |

Definition at line 17 of file MyGUI_PolygonalSkin.cpp.

## Member Function Documentation

## ◆ _correctView()

void MyGUI::PolygonalSkin::_correctView | ( |  | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 108 of file MyGUI_PolygonalSkin.cpp.

## ◆ _getMiddleLine()

FloatPoint MyGUI::PolygonalSkin::_getMiddleLine | ( | const FloatPoint & | _point1,
|  | const FloatPoint & | _point2,
|  | const FloatPoint & | _point3 ) const
| protected

Definition at line 517 of file MyGUI_PolygonalSkin.cpp.

## ◆ _getPerpendicular()

FloatPoint MyGUI::PolygonalSkin::_getPerpendicular | ( | const FloatPoint & | _point1,
|  | const FloatPoint & | _point2 ) const
| protected

Definition at line 504 of file MyGUI_PolygonalSkin.cpp.

## ◆ _rebuildGeometry()

void MyGUI::PolygonalSkin::_rebuildGeometry | ( |  | ) |
| protected

Definition at line 274 of file MyGUI_PolygonalSkin.cpp.

## ◆ _setAlign()

void MyGUI::PolygonalSkin::_setAlign | ( | const IntSize & | _oldsize | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 116 of file MyGUI_PolygonalSkin.cpp.

## ◆ _setColour()

void MyGUI::PolygonalSkin::_setColour | ( | const Colour & | _value | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 250 of file MyGUI_PolygonalSkin.cpp.

## ◆ _setUVSet()

void MyGUI::PolygonalSkin::_setUVSet | ( | const FloatRect & | _rect | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 264 of file MyGUI_PolygonalSkin.cpp.

## ◆ _updateView()

void MyGUI::PolygonalSkin::_updateView | ( |  | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 157 of file MyGUI_PolygonalSkin.cpp.

## ◆ createDrawItem()

void MyGUI::PolygonalSkin::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node )
| overridevirtual

Implements MyGUI::ISubWidget.

Definition at line 198 of file MyGUI_PolygonalSkin.cpp.

## ◆ destroyDrawItem()

void MyGUI::PolygonalSkin::destroyDrawItem | ( |  | ) |
| overridevirtual

Implements MyGUI::ISubWidget.

Definition at line 207 of file MyGUI_PolygonalSkin.cpp.

## ◆ doRender()

void MyGUI::PolygonalSkin::doRender | ( |  | ) |
| overridevirtual

Implements MyGUI::ISubWidget.

Definition at line 216 of file MyGUI_PolygonalSkin.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::PolygonalSkin::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::PolygonalSkin::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::PolygonalSkin::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ isType() [2/2]

virtual bool MyGUI::PolygonalSkin::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ setAlpha()

void MyGUI::PolygonalSkin::setAlpha | ( | float | _alpha | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 99 of file MyGUI_PolygonalSkin.cpp.

## ◆ setPoints()

void MyGUI::PolygonalSkin::setPoints | ( | const std::vector< FloatPoint > & | _points | ) |

Set line points.

Definition at line 27 of file MyGUI_PolygonalSkin.cpp.

## ◆ setStateData()

void MyGUI::PolygonalSkin::setStateData | ( | IStateInfo * | _data | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 259 of file MyGUI_PolygonalSkin.cpp.

## ◆ setStroke()

void MyGUI::PolygonalSkin::setStroke | ( | size_t | _value | ) |

Set line stroke step. 0 to disable stroke.

Definition at line 81 of file MyGUI_PolygonalSkin.cpp.

## ◆ setVisible()

void MyGUI::PolygonalSkin::setVisible | ( | bool | _visible | ) |
| overridevirtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 87 of file MyGUI_PolygonalSkin.cpp.

## ◆ setWidth()

void MyGUI::PolygonalSkin::setWidth | ( | float | _width | ) |

Set line width in pixels.

Definition at line 75 of file MyGUI_PolygonalSkin.cpp.

The documentation for this class was generated from the following files:

- MyGUI_PolygonalSkin.h
- MyGUI_PolygonalSkin.cpp